---
id: comp
title: comp
hide_title: true
hide_table_of_contents: true
sidebar_label: comp
description: Compress files using libcompression
---
## ipsw comp

Compress files using libcompression

```
ipsw comp [flags]
```

### Options

```
  -a, --algo string     Use a specific algorithm for compression
  -h, --help            help for comp
  -o, --output string   Output file path (for stdout use '-')
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)

